# Necessary contstaints for conf. memory fault injection
set_property BITSTREAM.SEU.ESSENTIALBITS yes [current_design]
set_property BITSTREAM.GENERAL.PERFRAMECRC YES [current_design]
set_property BITSTREAM.CONFIG.INITSIGNALSERROR DISABLE [current_design]


## RISC-V Reset
set_property -dict {PACKAGE_PIN K18 IOSTANDARD LVCMOS33} [get_ports {rst[0]}]
# RISC-V LEDs
set_property -dict {PACKAGE_PIN M14 IOSTANDARD LVCMOS33} [get_ports {led_boot[0]}]
##Pmod Header JC
set_property -dict {PACKAGE_PIN V15 IOSTANDARD LVCMOS33} [get_ports uart_rxd]
set_property -dict {PACKAGE_PIN W15 IOSTANDARD LVCMOS33} [get_ports uart_txd]


# Self-explained
# Add muldiv unit in pblock_risc_alu
create_pblock pblock_risc_alu
add_cells_to_pblock [get_pblocks pblock_risc_alu] [get_cells -quiet [list riscv_wrapper_i/neorv32_test_setup_bootloader_0/U0/neorv32_top_inst/neorv32_cpu_inst/neorv32_cpu_alu_inst/neorv32_cpu_cp_muldiv_inst_true.neorv32_cpu_cp_muldiv_inst]]
# Resize pblock_risc_alu to provide adequate resources to implement muldiv unit
resize_pblock [get_pblocks pblock_risc_alu] -add {SLICE_X18Y50:SLICE_X21Y99}
